utility-ht-0.0.14: Various small helper functions for Lists, Maybes, Tuples, Functions

Safe Haskell | Safe
Language | Haskell98

Text.Read.HT

Synopsis

- readsInfixPrec :: (Read a, Read b) => String -> Int -> Int -> (a -> b -> c) -> ReadS c
- (.>) :: ReadS (b -> c) -> ReadS b -> ReadS c
- readMany :: Read a => String -> [a]
- maybeRead :: Read a => String -> Maybe a

# Documentation

readsInfixPrec :: (Read a, Read b) => String -> Int -> Int -> (a -> b -> c) -> ReadS c #

Parse a string containing an infix operator.

(.>) :: ReadS (b -> c) -> ReadS b -> ReadS c infixl 9 #

Compose two parsers sequentially.

readMany :: Read a => String -> [a] #

maybeRead :: Read a => String -> Maybe a #